Bug 1623132 - krita is outdated in F29 and depends on libraw.so.16
Summary: krita is outdated in F29 and depends on libraw.so.16
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: krita
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: AcceptedFreezeException
Depends On: 1596892
Blocks: F29BetaFreezeException
TreeView+ depends on / blocked
 
Reported: 2018-08-28 14:25 UTC by Zbigniew Jędrzejewski-Szmek
Modified: 2018-09-05 01:08 UTC (History)
5 users (show)

Fixed In Version: krita-4.1.1-2.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-05 01:08:50 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1601439 None None None Never

Internal Links: 1601439

Description Zbigniew Jędrzejewski-Szmek 2018-08-28 14:25:20 UTC
Description of problem:
krita-4.1.1-1.fc29 build failed. krita-4.1.0-2.fc29 was the last successful build. So krita in F29 is older than in F27 and F28. It also requires libraw.so.16 which is not available, so it is not installable.

$ dnf repoquery --releasever=29 --requires krita|grep libraw
libraw.so.16
libraw.so.16()(64bit)
$ dnf repoquery --releasever=29 --provides LibRaw
LibRaw = 0.19.0-4.fc29
LibRaw(x86-32) = 0.19.0-4.fc29
LibRaw(x86-64) = 0.19.0-4.fc29
bundled(dcraw) = 9.25
libraw.so.19
libraw.so.19()(64bit)
libraw_r.so.19
libraw_r.so.19()(64bit)

Comment 1 Fedora Blocker Bugs Application 2018-08-28 14:26:29 UTC
Proposed as a Freeze Exception for 29-beta by Fedora user zbyszek using the blocker tracking app because:

 Outdated package is not installable, breaks upgrades. See bug for details.

Comment 2 Rex Dieter 2018-08-28 14:34:29 UTC
Depends on bug #1596892 , where an API/ABI breaking LibRaw update was introduced.  I asked the maintainer to revert it, but they chose not to.  As far as I can tell, no action has happened since.

Comment 3 Zbigniew Jędrzejewski-Szmek 2018-08-28 14:43:49 UTC
I remember reading about this. It is unfortunate, but *something* needs to happen. How bad is the API breakage?

Comment 4 Rex Dieter 2018-08-28 14:57:35 UTC
at least one important API was removed, so likely non-trivial as far as I can tell.

I'm (still) of a mind that f29 should revert the change, and leave rawhide/f30 land to adapt to the changes

Comment 5 Adam Williamson 2018-08-28 23:55:13 UTC
Seems a patch was posted today and Rex is rebuilding.

I'm +1 FE to get working krita and kf5-libkdcraw into the KDE spin.

Comment 6 Fedora Update System 2018-08-29 14:10:12 UTC
krita-4.1.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1497ddd1a

Comment 7 Fedora Update System 2018-08-29 19:08:36 UTC
krita-4.1.1-2.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1497ddd1a

Comment 8 Fedora Update System 2018-08-29 23:14:57 UTC
krita-4.1.1-2.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1497ddd1a

Comment 9 Lukas Ruzicka 2018-09-03 11:32:28 UTC
Krita works and does not require libraw.so.16 dependency. I can verify that it has been fixed.

Comment 10 Lukas Ruzicka 2018-09-03 11:33:37 UTC
The available build solves the problem.

Comment 11 Geoffrey Marr 2018-09-04 20:51:35 UTC
Discussed during the 2018-09-04 blocker review meeting: [1]

The decision to classify this bug as an "AcceptedFreezeException" was made as this results in packages being silently left off the KDE live images, which obviously we want to fix.

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2018-09-04/f29-blocker-review.2018-09-04-16.01.txt

Comment 12 Fedora Update System 2018-09-05 01:08:50 UTC
krita-4.1.1-2.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.